Wolfram Computation Meets Knowledge

What versions of System Modeler is the Wolfram Language compatible with?

There are two types of compatibility for the various versions of System Modeler and the Wolfram Language:

  • Since Version 11.3 of the Wolfram Language, much of System Modeler’s functionality is now included as built-in Wolfram Language functions. Models from the appropriate version of System Modeler can be loaded and run in a Wolfram Language session.
  • For earlier versions of the Wolfram Language, the package WSMLink allows System Modeler to be controlled from a Wolfram Language session.


The following versions of the Wolfram Language and System Modeler are compatible with one another:

Wolfram Language Version System Modeler Version Compatibility Type
12.1 12.1 WSMLink and built-in functionality
12.0 12.0 WSMLink and built-in functionality
11.3 5.1 WSMLink and built-in functionality
11.2 5.0, 4.3, 4.2, 4.1 WSMLink
11.1 5.0, 4.3, 4.2, 4.1 WSMLink
11.0 5.0, 4.3, 4.2, 4.1 WSMLink
10.4 5.0, 4.3, 4.2, 4.1 WSMLink
10.3 5.0, 4.3, 4.2, 4.1 WSMLink


Is this article helpful?
Yes
No

Any comments?

Thank you for your feedback.

Submit

Contact Support

Whether you have a question about billing, activation or something more technical, we are ready to help you.

1-800-WOLFRAM (+1-217-398-0700 for international callers)

Customer Support

Monday–Friday
8am–5pm US Central Time

  • Product registration or activation
  • Pre-sales information and ordering
  • Help with installation and first launch

Advanced Technical Support (for eligible customers)

Monday–Thursday
8am–7pm US Central Time

Friday
8:30–10am & 11am–5pm US Central Time

  • Priority technical support
  • Product assistance from Wolfram experts
  • Help with Wolfram Language programming
  • Advanced installation support